Home//
REST API Reference
/- Add a tag to an article
List all articles
Create an article
Retrieve an article
Update an article
Delete an article
Retrieve an article draft
Stage an article draft
Publish an article draft
Remove a tag from an article
List article versions
Retrieve an article version
Search for articles
Article
Articles
Article Search Highlights
Article Search Response
Article Version
Article Version Summary
Internal Article
Add a tag to an article
Apply an existing tag to an article. Returns the tag that was applied.
The tag must already exist in the workspace (create tags with the Tags API), and the authenticating teammate must have the manage_knowledge_base_content permission.
Requires the read_write_articles_scope OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/articles/{article_id}/tags
- The european API serverhttps://api.eu.intercom.io/articles/{article_id}/tags
- The australian API serverhttps://api.au.intercom.io/articles/{article_id}/tags
curl -i -X POST \
https://api.intercom.io/articles/123/tags \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.16' \
-d '{
"id": "7522907"
}'Tag applied
The time when the tag was applied to the object. Only present when the tag is returned as part of a tagging operation on a contact, conversation, or ticket.
Example:1663597223
applied_byobject or null(Reference)
The admin who applied the tag. Only present when the tag is returned as part of a tagging operation on a contact, conversation, or ticket.
Response
{ "type": "tag", "id": "7522907", "name": "Independent", "applied_at": 1663597223, "applied_by": { "type": "admin", "id": "1234" } }